export const makeCheckPathTool = (url: string, prefix?: string) => {
  const { pathname } = new URL(url)
  const prefixPath = prefix ? `${prefix}/` : ""
  return {
    // 精确匹配
    exactCheck: (path: string) => pathname === `${prefixPath}${path}`,
    // 前缀匹配
    startsWithCheck: (path: string) =>
      pathname.startsWith(`${prefixPath}${path}`),
  }
}
